WinShopAPI docs
ReferenceDocumentsOrdersCustomers

Add items to a customer order

Appends the items in the body to an existing customer order and recalculates the document totals. Requires `Permissions.OrderCustomer.Create`.

POST
/api/documents/orders/customer/{documentId}/items

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

documentId*integer
Formatint32

Request Body

application/json
  1. body
[index: integer]?

Response Body

response?unknownapplication/octet-stream
curl -X POST 'https://<your-instance>/api/documents/orders/customer/0/items' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '[  {    "priceWoVatIssued": 1000,    "productId": 5,    "quantityIssued": 1,    "unitIdIssued": 5,    "vatRate": 21  }]'
null